package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/GetSysParam.class */
public class GetSysParam extends LifeAction {
    private String bankId;
    private List codeList;
    private List reValueList;
    private List flagList;

    public String execute(Context context) throws GENEException {
        try {
            String bankidStr = (String) context.getDataValue(this.bankId);
            String reValueStr = "";
            if (this.codeList.size() == 0 || this.codeList.size() != this.reValueList.size() || this.codeList.size() != this.flagList.size()) {
                Trace.logDebug("LifeAction", "参数代码、参数类型、返回参数，域不能为空，并且他们的个数要相同");
                throw new TranFailException("NE0001", "'获取系统参数出错'");
            }
            for (int i = 0; i < this.codeList.size(); i++) {
                String codeStr = (String) this.codeList.get(i);
                String flag = (String) this.flagList.get(i);
                if ("0".equals(flag)) {
                    reValueStr = LifeStandard.getSystemParam(String.valueOf(bankidStr) + codeStr);
                } else if ("1".equals(flag)) {
                    reValueStr = LifeStandard.getRuntimeParam(codeStr, bankidStr);
                }
                context.setDataValue((String) this.reValueList.get(i), reValueStr);
            }
            return "0";
        } catch (GENEException ex) {
            Trace.logDebug("LifeAction", "获取系统参数出错");
            Trace.logWarn("LifeAction", ex.getMessage(), ex);
            throw new TranFailException("NE0001", "'获取系统参数出错'");
        }
    }

    public List convertStringToList(String outputList, String delim) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(outputList, delim);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        return result;
    }

    public List getCodeList() {
        return this.codeList;
    }

    public void setCodeList(String codeList) {
        this.codeList = convertStringToList(codeList, "||");
    }

    public List getReValueList() {
        return this.reValueList;
    }

    public void setReValueList(String reValueList) {
        this.reValueList = convertStringToList(reValueList, "||");
    }

    public List getFlagList() {
        return this.flagList;
    }

    public void setFlagList(String flagList) {
        this.flagList = convertStringToList(flagList, "||");
    }

    public String getBankId() {
        return this.bankId;
    }

    public void setBankId(String bankId) {
        this.bankId = bankId;
    }
}
